打印

CentOS6.8_x64安装lnmp1.4 lamp 错: Sorry, I cannot run apxs. Possible reasons follow:

CentOS6.8_x64安装lnmp1.4 lamp 错: Sorry, I cannot run apxs. Possible reasons follow:

版本:lamp1.4 2017年7月27日 17:10

Configuring SAPI modules
checking for AOLserver support... no
checking for Apache 1.x module support via DSO through APXS... no
checking for Apache 1.x module support... no
checking whether to enable Apache charset compatibility option... no
checking for Apache 2.0 filter-module support via DSO through APXS... no
checking for Apache 2.0 handler-module support via DSO through APXS...

Sorry, I cannot run apxs.  Possible reasons follow:

1. Perl is not installed
2. apxs was not found. Try to pass the path using --with-apxs2=/path/to/apxs
3. Apache was not built using --enable-so (the apxs usage page is displayed)


The output of /usr/local/apache/bin/apxs follows:
./configure: line 8417: /usr/local/apache/bin/apxs: No such file or directory
configure: error: Aborting
make: *** No targets specified and no makefile found.  Stop.
make: *** No rule to make target `install'.  Stop.
Copy new php configure file...
Modify php.ini......
include/php.sh: line 23: pear: command not found
include/php.sh: line 24: pecl: command not found
include/php.sh: line 29: php: command not found
curl: (23) Failed writing body (0 != 16133)
Install ZendGuardLoader for PHP 5.6...
Notice:  not found!!!download now...
--2017-07-31 18:25:45--  https://soft.vpser.net/web/zend/zend-loader-php5.6-linux-x86_64.tar.gz
Resolving soft.vpser.net... 117.34.112.38, 2604:a880:1:20::5f9:4001
Connecting to soft.vpser.net|117.34.112.38|:443... connected.
HTTP request sent, awaiting response... 416 Requested Range Not Satisfiable

    The file is already fully retrieved; nothing to do.

Write ZendGuardLoader to php.ini...
Create PHP Info Tool...
Copy PHP Prober...
Copy Opcache Control Panel...
============================Install PHPMyAdmin=================================
============================phpMyAdmin install completed=======================
iptables: Saving firewall rules to /etc/sysconfig/iptables:[  OK  ]
Add Startup and Starting LAMP...
Add httpd service at system startup...
start apache... /etc/init.d/httpd: line 87: /usr/local/apache/bin/httpd: No such file or directory
failed
Add mysql service at system startup...
Error: Apache install failed.
MySQL: OK
Error: PHP install failed.
Sorry, Failed to install LNMP!
Please visit https://bbs.vpser.net/forum-25-1.html feedback errors and logs.
You can download /root/lnmp-install.log from your server,and upload lnmp-install.log to LNMP Forum.

yum install perl* 还是出错

[ 本帖最后由 5D3 于 2017-8-1 11:22 编辑 ]
附件: 您所在的用户组无法下载或查看附件

TOP

没完整日志没法说

TOP

回复 2# 的帖子

已上传

安装了2次 都出现此问题

TOP

引用:
xml/apr_xml.lo -c xml/apr_xml.c && touch xml/apr_xml.lo
xml/apr_xml.c:35:19: error: expat.h: No such file or directory
xml/apr_xml.c:66: error: expected specifier-qualifier-list before ‘XML_Parser’
xml/apr_xml.c: In function ‘cleanup_parser’:
xml/apr_xml.c:364: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c:365: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c: At top level:
xml/apr_xml.c:384: error: expected ‘;’, ‘,’ or ‘)’ before ‘*’ token
xml/apr_xml.c: In function ‘apr_xml_parser_create’:
xml/apr_xml.c:401: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c:402: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c:410: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c:411: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c:412: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c:424: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c:424: error: ‘default_handler’ undeclared (first use in this function)
xml/apr_xml.c:424: error: (Each undeclared identifier is reported only once
xml/apr_xml.c:424: error: for each function it appears in.)
xml/apr_xml.c: In function ‘do_parse’:
xml/apr_xml.c:434: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c:438: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c:442: error: ‘apr_xml_parser’ has no member named ‘xp_err’
xml/apr_xml.c:442: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c: In function ‘apr_xml_parser_geterror’:
xml/apr_xml.c:500: error: ‘apr_xml_parser’ has no member named ‘xp_err’
xml/apr_xml.c:500: error: ‘apr_xml_parser’ has no member named ‘xp_err’
make[3]: *** [xml/apr_xml.lo] Error 1
可以尝试yum install expat-devel 后再安装试试

TOP